<!DOCTYPE html>
<html>
    <body>
        <h1>Employee Details</h1>
        {% if editing %}
        <form method="post" action="{% url 'update_employee' employee.id %}">
            {% csrf_token %}
            <p>
                <label for="salary">Salary:</label>
                <input type="text" id="salary" name="salary" value="{{employee.salary}}">
            </p>
            <p>
                <label for="name">Name:</label>
                <input type="text" id="name" name="name" value="{{employee.name}}">
            </p>
            <p>
                <label for="emp_num">Employee Number:</label>
                <input type="text" id="emp_num" name="emp_num" value="{{employee.emp_num}}">
            </p>
            <p>
                <input type="submit" value="EDIT">
            </p>
        </form>
        {% else %}
        <p>Salary: {{employee.course}}</p>
        <p>Name: {{employee.name}}</p>
        <p>Employee Number: {{employee.emp_num}} </p>
        <p><a href="{% url 'update_employee' employee.id %}">EDIT</p>
        <p><a href="{% url 'delete_employee' employee.id %}">DELETE(cannot be undone)</a></p>
        {% endif %}
        <p><a href="{% url 'employee_list' %}">All employees</a></p>

       

    </body>
</html>